# applyPostSetStatusAbAttrs | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Function applyPostSetStatusAbAttrs

- applyPostSetStatusAbAttrs(
  attrType: Constructor < PostSetStatusAbAttr >,
  pokemon: default ,
  effect: StatusEffect ,
  sourcePokemon?: null | default ,
  simulated?: boolean,
  ...args: any[],
  ): void

  #### Parameters

  - attrType: Constructor < PostSetStatusAbAttr >
  - pokemon: default
  - effect: StatusEffect
  - `Optional` sourcePokemon: null | default
  - simulated: boolean = false
  - ...args: any[]

  #### Returns void

  - Defined in src/data/ability.ts:5796